// radiosity control and HDRI (HDRI, High Dynamic Range Imaging)

#macro HDRI( ) //

	// radiosity control
	#declare use_radiosity= 2; // 1=load, 2=save, 0=off
	#declare rad_quality=   1; // 1-10 (1=very basic ... 10=very good)
	#declare rad_bounces=   1; // >0 (more of 5 hardly makes a difference)
	#declare rad_brightness=1; // increase if needed

	global_settings {
		assumed_gamma 1.9
		#if (use_radiosity)
			radiosity {        // don't touch these settings, use the control variables above
				#declare rad_count = rad_quality;
				#if (use_radiosity = 2)
					// saving radiosity
					pretrace_start 0.05
					pretrace_end 0.005
					count 160 * rad_count
					nearest_count 10 + rad_quality
					error_bound 0.5 / rad_quality
					recursion_limit rad_bounces
					brightness rad_brightness
					save_file "saved.rad"
				#else
					// loading radiosity
					load_file "saved.rad"
					pretrace_start 1
					pretrace_end 1
					count 160 * rad_count
					nearest_count 10 + rad_quality
					error_bound 0.5 / rad_quality
					recursion_limit rad_bounces
					always_sample off
					brightness rad_brightness
				#end
				gray_threshold .5
			}
		#end // of "#if (use_radiosity)"
	}

// entorno HDRI esfrico para iluminacin y reflexiones
//La fotografa HDRI (HDRI, High Dynamic Range Imaging) es una tcnica para
//procesar imgenes que busca abarcar el mayor rango de niveles de exposicin
//en todas las zonas. Esto se consigue mediante la mezcla de varias fotos de la
//misma imagen con diferentes exposiciones.

// HDRI environment
sphere{
	0, 500
	texture{
		pigment{
			image_map{
				png "hdri_sphere_001" map_type 1 interpolate 2
			}
		}
		finish{
			ambient .5 diffuse 0
		}
		rotate 90*y
	}
}

#end // of MACRO HDRI


